# Trucker

{% hint style="warning" %}
**Make sure to add the necessary items, item images and job names required for the job**
{% endhint %}

***

* <mark style="background-color:yellow;">**\["name"]:**</mark> It is the label that will appear in menus or notifications.
* The <mark style="background-color:yellow;">**\[‘menu’]**</mark> variable consists of things related to the location from which the job is to be retrieved
  * <mark style="background-color:orange;">\["job\_menu"]:</mark> <mark style="color:yellow;">@vector3</mark> Accepts. The menu access location of the job.
  * <mark style="background-color:orange;">\["interaction\_distance"]:</mark> <mark style="color:yellow;">@float</mark> Accepts. The player distance controlled to access the menu.

***

## 🚗Operator Car / Car Settings

Contains the details of the operator vehicle. You can enter spawn location and vehicle type.

* <mark style="background-color:orange;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> You can enter the vehicle model here. Be careful to enter a valid vehicle.
* <mark style="background-color:orange;">\["spawnCoords"]:</mark> <mark style="color:yellow;">@vector4</mark> Accepts. It is the position where the vehicle will emerge. The direction your character is facing is the direction the front of your vehicle will face.
* <mark style="background-color:orange;">\["shopBlip"]:</mark> True and you can see your vehicle on the map.

***

## 📋Job / Trailer List

I will take the trailer and deliver it, the money it will earn, etc. This section will help you for content such as

* <mark style="background-color:yellow;">**\[index]**</mark>: <mark style="color:yellow;">@number</mark> This is a job number. The maximum number of jobs found should be written by adding +1. If there are no jobs, it should start from 1.
* <mark style="background-color:yellow;">\["reward"]</mark>: <mark style="color:yellow;">@number</mark> It is the wage that the actor will receive as a result of completing this job.
* ### 🕙Timer / Delivery Time
* There is only one set timer for deliveries. You can understand it by reading the following variables.
  * <mark style="background-color:orange;">\["delivery\_time"]:</mark> <mark style="color:yellow;">@number</mark> Time to be entered for delivery. ***Minutes \* 60 \* 1000.***
  * <mark style="background-color:orange;">\["extra\_time"]:</mark> <mark style="color:yellow;">@number</mark> Extra time to be added after the specified delivery time has expired. ***Minutes \* 60 \* 1000***
  * <mark style="background-color:orange;">\["deducted\_per\_min"]:</mark> <mark style="color:yellow;">@number</mark> If extra time is activated, a fee will be deducted from the reward for each ‘One’ minute spent.
* <mark style="background-color:yellow;">\["delivery\_coords"]</mark>: <mark style="color:yellow;">@vector4</mark> This is the area where the trailer will be delivered. It is important that it is Vector4. For the way the trailer is parked.
* <mark style="background-color:yellow;">**\["trailer\_stuff"]**</mark>: You can adjust content such as trailer model, connection and spawn point settings here
  * <mark style="background-color:green;">**\["model"]**</mark>: <mark style="color:yellow;">@string</mark> It's a model of the trailer. You can find the trailer types [**here**](https://wiki.rage.mp/index.php?title=Vehicles#Trailer)
  * <mark style="background-color:green;">**\["coords"]**</mark>: <mark style="color:yellow;">@vector4</mark> This is the location where the trains will be spawned.
  * <mark style="background-color:green;">**\["spawn\_with\_attached"]**</mark>: <mark style="color:red;">IMPORTANT!</mark> ⇒ <mark style="color:yellow;">@boolean</mark> This is the choice of whether or not the trailer is connected to the lorry when it will appear. `true` allows trailers to be spawned with a lorry
  * <mark style="background-color:green;">**\["trailer\_attachable\_with\_default"]**</mark>: <mark style="color:red;">IMPORTANT!</mark> ⇒ <mark style="color:yellow;">@boolean</mark> Some trailer types do not allow the lorry to be physically connected. If you are going to use this type of trailer, you should set this variable to `false`. Thus, when the lorry comes next to the trailer, it will be connected automatically by the system.
* <mark style="background-color:yellow;">**\["menu\_stuff"]**</mark>: You can change some of the texts that will appear in the Trailer / Work list here, you can learn their purpose.
  * <mark style="background-color:green;">\["name"]</mark>: <mark style="color:yellow;">@string</mark> Example of a work/delivery name: Wood Transport
  * <mark style="background-color:green;">\["time"]</mark>: <mark style="color:yellow;">@string</mark> Must be empty. The system will automatically display the time zone you entered.
  * <mark style="background-color:green;">\["t\_type"]</mark>: <mark style="color:yellow;">@string</mark> Pick-up and Delivery or Delivery Trailer type

***

## 📝Example

```lua
[index] = {
    ["reward"] = 1000,
    ["extra_time"] = 1* 60 * 1000,
    ["delivery_time"] = 1 * 60 * 1000,
    ["deducted_per_min"] = 1,
    ["delivery_coords"] = vec4(0.0, 0.0, 0.0, 0.0),
    ["blips"] = {
        ["show"] = true,
        ["label"] = "Transport",
        ["sprite"] = 514,
        ["color"] = 44,
        ["scale"] = 1.0,
    },
    ["trailer_stuff"] = {
        ["model"] = "tr3",
        ["coords"] = vec4(0.0, 0.0, 0.0, 0.0),
        ["spawn_with_attached"] = false,
        ["trailer_attachable_with_default"] = false,
    },
    ["menu_stuff"] = {
        ["time"] = "",
        ["name"] = "transport",
        ["t_type"] = "Must be taken and delivered",
    },
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-jobpack/job-settings/trucker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
